Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.EtchedBorderUIResource

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.border.EtchedBorder
              javax.swing.plaf.BorderUIResource.EtchedBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.EtchedBorderUIResource

extends EtchedBorder
implements UIResource

Field Summary

Fields inherited from class javax.swing.border.EtchedBorder
`etchType, highlight, LOWERED, RAISED, shadow`

Constructor Summary
`BorderUIResource.EtchedBorderUIResource()`
`BorderUIResource.EtchedBorderUIResource(Color highlight, Color shadow)`
`BorderUIResource.EtchedBorderUIResource(int etchType)`
`BorderUIResource.EtchedBorderUIResource(int etchType, Color highlight, Color shadow)`

Method Summary

Methods inherited from class javax.swing.border.EtchedBorder
`getBorderInsets, getBorderInsets, getEtchType, getHighlightColor, getHighlightColor, getShadowColor, getShadowColor, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource()

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(int etchType)

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(Color highlight,
                                                   Color shadow)

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(int etchType,
                                                   Color highlight,
                                                   Color shadow)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.